Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 911025 - Review Request: nodejs-collections - Data structures with idiomatic JavaScript collection interfaces
Summary: Review Request: nodejs-collections - Data structures with idiomatic JavaScrip...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: T.C. Hollingsworth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: nodejs-reviews 911048
TreeView+ depends on / blocked
 
Reported: 2013-02-14 09:33 UTC by Jamie Nguyen
Modified: 2013-07-04 20:04 UTC (History)
3 users (show)

Fixed In Version: nodejs-collections-0.1.20-2.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-06-18 05:41:47 UTC
tchollingsworth: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jamie Nguyen 2013-02-14 09:33:03 UTC
Spec URL: http://jamielinux.fedorapeople.org/buddycloud-server/nodejs-collections.spec
SRPM URL: http://jamielinux.fedorapeople.org/buddycloud-server/SRPMS/nodejs-collections-0.1.14-1.fc18.src.rpm
Fedora Account System Username: jamielinux

Description:
This package contains JavaScript implementations of common data structures
with idiomatic iterfaces, including extensions for Array and Object.

Comment 1 Jamie Nguyen 2013-05-26 11:26:29 UTC
Spec URL: http://jamielinux.fedorapeople.org/buddycloud-server/nodejs-collections.spec
SRPM URL: http://jamielinux.fedorapeople.org/buddycloud-server/SRPMS/nodejs-collections-0.1.20-1.fc18.src.rpm

* Sun May 26 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.1.20-1
- update to upstream release 0.1.20
- test suite files have been removed from the npm tarball so pull from
  the revision control repository instead


(For some reason they haven't tagged 0.1.19 or 0.1.20 on GitHub, so I'm using 0.1.18 version of the test files. 2 tests are failing, but they were also failing on upstream Travis for 0.1.18.)

Comment 2 T.C. Hollingsworth 2013-06-13 21:21:18 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

Status: NEEDS WORK

===== Issues ====

[!]: The URL is invalid. (404)

     Please provide a working URL.  Looks like the github project for this
     module has moved to:
     https://github.com/montagejs/collections

[!]: Upstream and this package are in violation of the BSD License.

     The BSD License states:
     
     "Redistributions of source code must retain the above copyright notice, 
      this list of conditions and the following disclaimer."
      
     Upstream doesn't comply with this provision, and the link it provides to
     attempt to comply with this is 404.  Consider suggesting that upstream
     include the BSD text in their LICENSE file as well.
     
     Regardless, you need a copy of the BSD in the Fedora package, as stated here:
     
     
     BTW, the correct link for the license this code was derived from now 
     appears to be:
     https://github.com/montagejs/montage/blob/master/LICENSE.md
     
     
===== MUST items =====

Generic:
[!]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
     
        Derived from BSD code, but BSD license text not included.
        Also link to license in code is invalid.
     
[x]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package contains no bundled libraries without FPC exception.
        FPC has repeatedly expressed that they're OK with simple code use as
        done in this module so OK.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
        nodejs macros used OK
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.

% npm -q view collections version
0.1.20

[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
        documented OK
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[-]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-collections-0.1.20-1.fc20.noarch.rpm
nodejs-collections.noarch: W: invalid-url URL: https://github.com/kriskowal/collections HTTP Error 404: Not Found
nodejs-collections.noarch: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

Please fix the URL.


Rpmlint (installed packages)
----------------------------
# rpmlint nodejs-collections
nodejs-collections.noarch: W: invalid-url URL: https://github.com/kriskowal/collections HTTP Error 404: Not Found
nodejs-collections.noarch: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'

See above.

Requires
--------
nodejs-collections (rpmlib, GLIBC filtered):
    nodejs(engine)

OK

Provides
--------
nodejs-collections:
    nodejs-collections
    npm(collections)

OK

Source checksums
----------------
http://registry.npmjs.org/collections/-/collections-0.1.20.tgz :
  CHECKSUM(SHA256) this package     : 7568bf4eea66070e2cfd71bf39701ce2dbe9ff6603d8403999a7c6d549d3a6a6
  CHECKSUM(SHA256) upstream package : 7568bf4eea66070e2cfd71bf39701ce2dbe9ff6603d8403999a7c6d549d3a6a6

OK

Generated by fedora-review 0.4.0 (eaf16cd) last change: 2013-05-30
Buildroot used: fedora-rawhide-vanilla-x86_64
Command line :./try-fedora-review -b911025

Comment 3 Jamie Nguyen 2013-06-16 13:40:57 UTC
Spec URL: http://jamielinux.fedorapeople.org/buddycloud-server/nodejs-collections.spec
SRPM URL: http://jamielinux.fedorapeople.org/buddycloud-server/SRPMS/nodejs-collections-0.1.20-2.fc19.src.rpm

* Sun Jun 16 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.1.20-2
- fix URL
- include copy of Montage BSD license

Comment 4 T.C. Hollingsworth 2013-06-16 13:58:21 UTC
This package is APPROVED.

Comment 5 Jamie Nguyen 2013-06-16 15:06:27 UTC
New Package SCM Request
=======================
Package Name: nodejs-collections
Short Description: Data structures with idiomatic JavaScript collection interfaces
Owners: jamielinux patches
Branches: f18 f19 el6
InitialCC:

Comment 6 Gwyn Ciesla 2013-06-17 12:18:01 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2013-06-18 05:19:51 UTC
nodejs-collections-0.1.20-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-collections-0.1.20-2.fc19

Comment 8 Fedora Update System 2013-06-18 05:34:10 UTC
nodejs-collections-0.1.20-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/nodejs-collections-0.1.20-2.fc18

Comment 9 Fedora Update System 2013-06-18 05:34:46 UTC
nodejs-collections-0.1.20-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/nodejs-collections-0.1.20-2.el6

Comment 10 Fedora Update System 2013-06-28 06:13:19 UTC
nodejs-collections-0.1.20-2.fc18 has been pushed to the Fedora 18 stable repository.

Comment 11 Fedora Update System 2013-06-29 18:10:49 UTC
nodejs-collections-0.1.20-2.fc19 has been pushed to the Fedora 19 stable repository.

Comment 12 Fedora Update System 2013-07-04 20:04:18 UTC
nodejs-collections-0.1.20-2.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.